안드로이드 gradle sync 문제


이미지 현재 저의 app 모듈의 gradle 입니다. 이미지 위와 같은 오류가 나서 갓구글에게 1시간 동안 물어봤는데 뭐가 뭔지 모르겠네요...

혹시 해결방법을 아시는 분 계신가요.... 오류에 난 것처럼 mainfest에 tools:replace="android:value 써넣으라는데 스택오버 플로우 보니 그렇게 하지 말라는 사람도 있고, 했다가 이상하게 됐다는 분들도 있더라구요. 혹시 아시는 분 조언 부탁드립니다.

  • 2017년 12월 11일에 작성됨

  • 프로젝트 그래들도 보여주세요!    김은기   2017.12.12 16:52     
  • 아래 답변에 올려놨습닏ㅇ!    안준혁   2017.12.12 17:56     
조회수 250


Hashcode banner summercoding

2 답변


좋아요
0
싫어요
채택취소하기

일단 오류 보니까 25.3 서포트 라이브러리와 26.0 알파 서포트 라이브러리에 메니페스트에 겹치는게 있으니 둘 중 하나를 정하라는것같습니다.

그래서 25.3 으로 서포트 라이브러리 낮추셔서 고치신것같고

아무래도 알파 버전이니까 무언가 충돌이 있었나 봅니다. 사실 26.0 서포트 라이브러리는 그래들 4에서부터 지원되거든요... 안드로이드 스튜디오를 3.x 최신버전으로 아직 안올리신것같은데 올리시는걸 추천드려요!

  • 2017년 12월 13일에 작성됨
    안드로이드 입문


이미지

프로젝트 그래들은 위와 같구요.

이미지

서포트 라이브러리 버전을 25.3.0으로 낮췄더니 오류가 나지 않았습니다.. 아직도 이해가 안되네요...뭐가 뭔지 ㅋㅋㅋㅋ 그래들 쪽 값들을 이해하기가 쉽지 않네요. 오류가 왜 나는지 왜 고쳐진 건지도 모르겟고! 힝!

  • 2017년 12월 12일에 작성됨

로그인이 필요한 기능입니다.

Hashcode는 개발자들을 위한 무료 QnA사이트 입니다. 작성한 답변에 다른 개발자들이 댓글을 작성하거나 좋아요/싫어요를 할 수 있기 때문에 계정을 필요로 합니다.
► 로그인
► 계정만들기
Close